Package picard.sam.SamErrorMetric

## Interface ReadBaseStratification.RecordAndOffsetStratifier<T extends Comparable<T>>

- Type Parameters:
    `T` -
  All Known Implementing Classes:
    `ReadBaseStratification.BinnedReadCycleStratifier`, `ReadBaseStratification.CollectionStratifier`, `ReadBaseStratification.ConsensusStratifier`, `ReadBaseStratification.FlowCellTileStratifier`, `ReadBaseStratification.GCContentStratifier`, `ReadBaseStratification.LongShortHomopolymerStratifier`, `ReadBaseStratification.MismatchesInReadStratifier`, `ReadBaseStratification.NsInReadStratifier`, `ReadBaseStratification.PairStratifier`
  Enclosing class:
    ReadBaseStratification

      public static interface ReadBaseStratification.RecordAndOffsetStratifier<T extends Comparable<T>>

  The main interface for a stratifier. The Stratifier needs to be able to ake a `RecordAndOffset` and return a value of type T. It also needs to have a suffix for automatically generating metrics file suffixes.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getSuffix()` |
    `T` | `stratify​(htsjdk.samtools.util.SamLocusIterator.RecordAndOffset recordAndOffset, htsjdk.samtools.reference.SamLocusAndReferenceIterator.SAMLocusAndReference locusInfo)` |

- - ### Method Detail

    - #### stratify

          T stratify​(htsjdk.samtools.util.SamLocusIterator.RecordAndOffset recordAndOffset,
                     htsjdk.samtools.reference.SamLocusAndReferenceIterator.SAMLocusAndReference locusInfo)

    - #### getSuffix

          String getSuffix()